MPI_Get_processor_name(3)

NAME
MPI_Get_processor_name - Gets the name of the processor.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Get_processor_name(char *name, int *resultlen)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_GET_PROCESSOR_NAME(NAME, RESULTLEN, IERROR)
	CHARACTER*(*)	NAME
	INTEGER		RESULTLEN, IERROR

C++ Syntax
#include <mpi.h>
void Get_processor_name(char* name, int& resultlen)

OUTPUT PARAMETERS

name
    A unique specifier for the actual (as opposed to virtual) node.

resultlen
    Length (in characters) of result returned in name.

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
This routine returns the name of the processor on which it was called at the moment of the call. The name is a character string for maximum flexibility. From this value it must be possible to identify a specific piece of hardware. The argument name must represent storage that is at least MPI_MAX_PROCESSOR_NAME characters long.

The number of characters actually written is returned in the output argument, resultlen.

NOTES
The user must provide at least MPI_MAX_PROCESSOR_NAME space to write the processor name; processor names can be this long. The user should examine the output argument, resultlen, to determine the actual length of the name.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.